# PetscObjectSetFromOptions

Sets generic parameters from user options.

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT PetscObjectSetFromOptions(PetscObject obj)

Collective on obj

### Input Parameter

obj -the PetscObjcet

### Options Database Keys

### Notes

We have no generic options at present, so this does nothing

### Keywords

set, options, database

### See Also

PetscObjectSetOptionsPrefix(), PetscObjectGetOptionsPrefix()

Level:beginner
Location: src/sys/objects/inherit.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages